Skip to content
BleemeoBleemeo

Count unread news

GET
/v1/news/unread_count/
curl --request GET \
--url https://example.com/v1/news/unread_count/ \
--header 'Authorization: Bearer <token>'

Return the number of visible news items the requesting user has not read yet.

Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
id
required
string format: uuid
title
required
string
<= 50 characters
description
string
category
  • feature - Feature
  • improvement - Improvement
  • fix - Fix
  • tip - Tip
  • event - Event
string
Allowed values: feature improvement fix tip event
image
string format: uri
nullable
banner_image
string format: uri
nullable
active
required
boolean
publish_at

A published news only becomes visible once this date is reached.

string format: date-time
expire_at

Once this date is reached, the news is no longer visible.

string format: date-time
nullable
cta_label
string
<= 50 characters
cta_url

Call-to-action target: a full URL (https://…, opens in a new tab) or a panel-relative path (e.g. /settings/cloud, opens in the app).

string
<= 200 characters
read
required
boolean
my_reaction
required
string
nullable
reactions
required
object
key
additional properties
integer
created_at
string format: date-time
modified_at
required
string format: date-time

Example

{
"category": "feature"
}